<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3009
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3009-2012-12-12T000000">
   <title>Equipment</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3009
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]
Item: (Equipment)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.3009
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]/hl7:section
Item: (Equipment)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]/hl7:section"
         id="tmp-9787c6a1-cd64-4af2-a702-5244fd97a30d">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="string(@classCode)='DOCSECT'">(Equipment): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3009'])&gt;=1 ">(Equipment): element hl7:templateId[@root='2.16.578.1.34.10.3009'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3009'])&lt;=1">(Equipment): element hl7:templateId[@root='2.16.578.1.34.10.3009'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Equipment): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(Equipment): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Equipment): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(Equipment): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Equipment): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(Equipment): element hl7:text appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3009
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]/hl7:section/hl7:templateId[@root='2.16.578.1.34.10.3009']
Item: (Equipment)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]/hl7:section/hl7:templateId[@root='2.16.578.1.34.10.3009']"
         id="tmp-9ebc1f62-cf96-4282-807e-33676350b78f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Equipment): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.3009'">(Equipment): @root SHALL have value '2.16.578.1.34.10.3009'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3009
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]/hl7:section/hl7:code
Item: (Equipment)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]/hl7:section/hl7:code"
         id="tmp-60bcd731-44e0-476e-9a34-bdaa3279cf76">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Equipment): If an @xsi:type instruction is present it SHALL be valued "CD", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="@nullFlavor or (@code='46264-8' and @codeSystem='2.16.840.1.113883.6.1')">(Equipment): The value for @code/@codeSystem SHALL be ''46264-8' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3009
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]/hl7:section/hl7:title
Item: (Equipment)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]/hl7:section/hl7:title"
         id="tmp-0c7f3da4-2df7-42ce-ac74-3ee5231859df">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Equipment): If an @xsi:type instruction is present it SHALL be valued "ST", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3009
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]/hl7:section/hl7:text
Item: (Equipment)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3009']]/hl7:section/hl7:text"
         id="tmp-0a3d3030-5110-4da7-8746-38bab9029fe4">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3009-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='SD.TEXT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Equipment): If an @xsi:type instruction is present it SHALL be valued "SD.TEXT", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
