<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.578.1.34.10.3007
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.578.1.34.10.3007-2012-12-12T000000">
   <title>Operative Note Fluids</title>
   <!--
Template derived rules for ID: 2.16.578.1.34.10.3007
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]
Item: (OperativeNoteFluids)
-->

<!--
Template derived rules for ID: 2.16.578.1.34.10.3007
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section
Item: (OperativeNoteFluids)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section"
         id="tmp-be3c809a-5e92-4102-83e3-bcabd645b392">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="string(@classCode)='DOCSECT'">(OperativeNoteFluids): The value for @classCode SHALL be 'DOCSECT'.</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3007'])&gt;=1 ">(OperativeNoteFluids): element hl7:templateId[@root='2.16.578.1.34.10.3007'] is required [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="count(hl7:templateId[@root='2.16.578.1.34.10.3007'])&lt;=1">(OperativeNoteFluids): element hl7:templateId[@root='2.16.578.1.34.10.3007'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(OperativeNoteFluids): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="count(hl7:code)&lt;=1">(OperativeNoteFluids): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(OperativeNoteFluids): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="count(hl7:title)&lt;=1">(OperativeNoteFluids): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(OperativeNoteFluids): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="count(hl7:text)&lt;=1">(OperativeNoteFluids): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]])&lt;=1">(OperativeNoteFluids): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]])&lt;=1">(OperativeNoteFluids): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]] appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3007
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section/hl7:templateId[@root='2.16.578.1.34.10.3007']
Item: (OperativeNoteFluids)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section/hl7:templateId[@root='2.16.578.1.34.10.3007']"
         id="tmp-53fa0c5e-a005-4d8d-8138-5d3ff81befda">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(OperativeNoteFluids): If an @xsi:type instruction is present it SHALL be valued "II", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="string(@root)='2.16.578.1.34.10.3007'">(OperativeNoteFluids): @root SHALL have value '2.16.578.1.34.10.3007'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3007
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section/hl7:code
Item: (OperativeNoteFluids)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section/hl7:code"
         id="tmp-2f43c411-7c23-43f8-b5a5-c59ca15cf6f5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(OperativeNoteFluids): If an @xsi:type instruction is present it SHALL be valued "CD", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="@nullFlavor or (@code='10216-0' and @codeSystem='2.16.840.1.113883.6.1')">(OperativeNoteFluids): The value for @code/@codeSystem SHALL be ''10216-0' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3007
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section/hl7:title
Item: (OperativeNoteFluids)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section/hl7:title"
         id="tmp-d999bce5-3015-46c5-b433-ee386bff56d5">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(OperativeNoteFluids): If an @xsi:type instruction is present it SHALL be valued "ST", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3007
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section/hl7:text
Item: (OperativeNoteFluids)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section/hl7:text"
         id="tmp-6abe595d-1773-4b98-adf8-4ff06028b819">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="@nullFlavor or ($xsiLocalName='SD.TEXT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(OperativeNoteFluids): If an @xsi:type instruction is present it SHALL be valued "SD.TEXT", found "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.578.1.34.10.3007
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]]
Item: (OperativeNoteFluids)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4005']]]"
         id="tmp-46083aa6-5f89-4200-878b-55ae5d5e8f73">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="string(@typeCode)='DRIV' or not(@typeCode)">(OperativeNoteFluids): The value for @typeCode SHALL be 'DRIV'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.578.1.34.10.3007
Context: *[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]]
Item: (OperativeNoteFluids)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.578.1.34.10.3007']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.578.1.34.10.4006']]]"
         id="tmp-3280310c-9aa8-488a-8ad6-a3cc10b1b2b8">
      <assert role="error"
              see="http://hl7no.art-decor.org/hl7no-html-20130402T214605/tmp-2.16.578.1.34.10.3007-2012-12-12T000000.html"
              test="string(@typeCode)='DRIV' or not(@typeCode)">(OperativeNoteFluids): The value for @typeCode SHALL be 'DRIV'.</assert>
   </rule>
</pattern>
